#include "flow.h"

flow_field flow_fields_impl[] = {
  FLOW_FIELD(start_time),
  FLOW_FIELD(start_utime),

  FLOW_FIELD(end_time),
  FLOW_FIELD(end_utime),

  FLOW_FIELD(proto),
  FLOW_FIELD(tos),
  FLOW_FIELD(flags),

  FLOW_FIELD(src_ip),
  FLOW_FIELD(dst_ip),
  FLOW_FIELD(src_port),
  FLOW_FIELD(dst_port),

  FLOW_FIELD(src_as),
  FLOW_FIELD(dst_as),

  FLOW_FIELD(in_if),
  FLOW_FIELD(out_if),

  FLOW_FIELD(packets),
  FLOW_FIELD(bytes),

  {NULL, 0, 0}
};

const flow_field *flow_fields = flow_fields_impl;
