#ifndef __SOURCE_H__
#define __SOURCE_H__

#include <sys/select.h>
#include "aggr.h"

#define RECORD_SIZE 52
#define BUFFER_SIZE 4096

typedef struct source_s {
  int fd;
  char *buffer;
  int pos;
} source_t;

void source_init(void);
void source_add(int fd);
int source_add_fds(fd_set *fds);
void source_process(fd_set *fds, aggregator_t *a);

#endif /* __SOURCE_H__ */
