#include "aggr.h"
#include "flow.h"
#include "Judy.h"
#include "disco.h"

int main(int argc, char **argv) {
  char *aggrkey[] = { "src_ip" };
  aggregator_t *aggregator = init_aggregator(1, aggrkey);

  Pvoid_t aggregates = (PWord_t) NULL;
  PWord_t aggr_lookup;

  p_entry *key = NULL;
  p_entry *value = NULL;

  while(read_kv(&key, &value)) {
    uint32_t *flowinfo = (uint32_t *) value->data;

    JHSI(aggr_lookup, aggregates, key->data, key->len); //aggregator->key_length);
    if(*aggr_lookup == 0) {
      aggregate_t *aggr = aggregate_alloc(aggregator);
      aggr->flows = 1;
      aggr->packets = flowinfo[0]; //flow->packets;
      aggr->bytes = flowinfo[1]; //flow->bytes;
      *aggr_lookup = (Word_t)aggr;
    } else {
      aggregate_t *aggr = (aggregate_t *) *aggr_lookup;
      aggr->flows++;
      aggr->packets += flowinfo[0]; //flow->packets;
      aggr->bytes += flowinfo[0]; //flow->bytes;
    }
  }


  /* Free our Judy array. */
  Word_t size;
  JHSFA(size, aggregates);
  printf("Array ate %lu bytes\n", size);

  return 0;
}
