#include <stdio.h>

#include "aggr.h"
#include "server.h"

static aggregator_t *aggregator;

int main(int argc, char **argv) {
  if(argc < 3) {
    printf("Usage: aggregate <port> <field> [<field> ...]\n\n");
    exit(1);
  }

  aggregator = init_aggregator(argc - 2, argv + 2);
  int port = atoi(argv[1]);

  server_init(port, aggregator);

  return 0;
}
